<?php

declare(strict_types=1);

namespace App\Middleware;

use Hyperf\View\RenderInterface;
use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Psr\Http\Server\MiddlewareInterface;
use Psr\Http\Server\RequestHandlerInterface;

class ViewShareMiddleware implements MiddlewareInterface
{
    public function __construct(protected RenderInterface $render)
    {
    }

    public function process(ServerRequestInterface $request, RequestHandlerInterface $handler): ResponseInterface
    {
        // 通过 RenderInterface 共享变量
        $this->render->assign([
            'app_name' => 'Hyperf-Smarty-Demo',
            'app_version' => '3.1.0',
            'current_year' => date('Y'),
        ]);

        return $handler->handle($request);
    }
}